.nav {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 860;
    position: fixed;
    background: rgba(39, 35, 65, 0.69);

    opacity: 0;
    visibility: hidden;
    transition: .3s;

    &.open {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    &__layout {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 5;
        position: absolute;
        background: transparent;
    }

    &__body {
        top: 0;
        left: 0;
        bottom: 0;
        width: 100%;
        z-index: 100;
        background: $white;
        position: absolute;
    }

    &__close {
        top: rem(6);
        right: rem(8);
        z-index: 200;
        width: rem(40);
        height: rem(40);
        cursor: pointer;
        position: absolute;
    }

    @include media-breakpoint-up(xl) {
        z-index: -1;
        transition: 0s;

        &.open {
            z-index: 860;
            transition: 0s;
        }


        &__body {
            width: rem(1200);
            display: flex;
        }
    }
}

.nav-primary {
    z-index: 10;
    height: 100%;
    max-height: 100%;
    position: relative;

    &__header {
        margin: auto 0;
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(22);
        height: rem(58);
        background: $gray-100;
        display: flex;
        align-items: center;
        padding: rem(4) rem(48) rem(4) rem(20);
    }

    &__main {
        font-size: rem(15);
        line-height: rem(17);
        height: calc(100% - 6.75rem);
        overflow-y: auto;
    }

    &__menu {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    &__item {
        margin: 0;
        border-bottom: rem(1) solid #E0E0F3;
    }

    &__link {
        height: rem(47);
        text-decoration: none;
        padding: rem(4) rem(20);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__arrow {
        font-size: 0;
        line-height: 0;
        height: rem(11);
        display: inline-flex;
        flex-shrink: 0;
        stroke: #CCCCE0;
    }

    @include media-breakpoint-up(xl) {
        width: rem(226);
        background: rgba(246, 246, 250, 1);
        flex-shrink: 0;

        &__close {
            top: rem(12);
            right: rem(12);
            width: rem(32);
            height: rem(32);
        }

        &__header {
            display: none;
        }

        &__item {
            border-bottom: none;
        }

        &__link {
            padding-left: rem(24);

            &.active {
                background: $white;
            }

            &:hover {
                background: $white;
            }
        }

        &__arrow {
            display: none;
        }

        &__main {
            height: 100%
        }
    }
}


.nav-secondary {
    top: 0;
    left: 0;
    width: 100%;
    bottom: rem(50);
    z-index: 50;
    position: fixed;
    font-size: rem(14);
    line-height: rem(20);
    background: $white;
    transform: translateX(100%);
    transition: .3s;

    &--open {
        transform: translateX(0);
        transition: .3s;
    }

    &__header {
        top: 0;
        width: 100%;
        position: fixed;
        height: rem(58);
        color: $black;
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(25);
        padding-right: rem(40);
        background: $gray-100;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__backward {
        top: 0;
        left: rem(6);
        font-size: 0;
        line-height: 0;
        width: rem(58);
        height: rem(58);
        border: none;
        outline: none;
        background: transparent;
        position: absolute;
        display: inline-flex;
        align-items: center;
        justify-content: center;

        i {
            height: rem(16);
            display: inline-flex;
        }
    }

    &__category {
        display: inline-block;
    }

    &__main {
        padding: rem(32px) 0 rem(16px) 0;
    }

    &__section {
        top: rem(58);
        left: 0;
        right: 0;
        bottom: 0;
        position: absolute;
        opacity: 0;
        visibility: hidden;

        &.active {
            opacity: 1;
            visibility: visible;
        }
    }

    &__column {
        padding: 0 rem(30);
    }

    &__group {
        margin-bottom: rem(30);
    }

    &__title {
        color: $black;
        display: block;
        font-weight: 600;
        font-size: rem(16);
        line-height: rem(20);
        margin-bottom: rem(8);
        text-decoration: none;
    }

    &__menu {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    &__item {
        margin: 0;
    }

    &__link {
        color: $gray;
        text-decoration: none;
        display: inline-block;
        padding: rem(4) 0;

        &:hover {
            color: $dark;
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(xl) {
        left: auto;
        bottom: auto;
        width: auto;
        height: 100vh;
        position: relative;
        transform: translateX(0);
        flex-grow: 1;

        &__header {
            display: none;
        }

        &__section {
            top: 0;
        }

        &__main {
            padding: rem(42px) rem(10) rem(16px) rem(10);
            display: flex;
        }

        &__column {
            width: 33.33%;
            padding: 0 rem(30);
            flex-shrink: 0;
        }

        &__group {
            margin-bottom: rem(32);
        }

        &__item {
            margin: rem(2) 0;
        }
    }
}
